# ***********************************************************************
# *                                                                     *
# *            Star Traders: A Game of Interstellar Trading             *
# *               Copyright (C) 1990-2024, John Zaitseff                *
# *                                                                     *
# ***********************************************************************

# Author: John Zaitseff <J.Zaitseff@zap.org.au>
# $Id: 22bfe1341f2c8b68ecc061d4ef8318bdbef4ef6b $

# This file is distributed under the same licence as Star Traders itself:
# the GNU General Public License, version 3 or later.

Name:		trader
Version:	7.20
Release:	%mkrel 1
Summary:	A simple game of interstellar trading
License:	GPLv3+
Group:		Games/Strategy
Url:		https://www.zap.org.au/projects/trader/
Source0:	https://ftp.zap.org.au/pub/trader/unix/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	pkgconfig(ncursesw)

%description
Star Traders is a simple game of interstellar trading, where the objective
is to create companies, buy and sell shares, borrow and repay money, in
order to become the wealthiest player (the winner).

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%{_gamesbindir}/%{name}
%{_datadir}/applications/au.org.zap.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_metainfodir}/au.org.zap.%{name}.metainfo.xml
